package com.yeejoin.amos.patrol.business.dao.mapper;

import com.yeejoin.amos.patrol.business.param.CatalogTreePageParam;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;
import java.util.List;

public interface CatalogTreeMapper extends BaseMapper {

	long countCatalogTreeData(CatalogTreePageParam param);
	 public List<HashMap<String,Object>> countCatalognum(@Param("name") String name);
	List<HashMap<String,Object>> getCatalogTreePageInfo(CatalogTreePageParam param);
}
